:root {
    --contentWidthMax: 100vw;
    --gapSmall: 2rem;
    --gapLarge: 4rem;

    /* Sizes */
    --contentMax: 70vw;
    --padding-small: 1rem;
    --padding-medium: 2rem;
    --padding-large: 4rem;
    --gap-small: 1rem;
    --gap-medium: 2rem;
    --gap-large: 4rem;
    --nav-offset: 20%;

    /* Colors */
    --salt: #f7f7f7;
    --abyss: #293f6c;
    --coal: #1a1a1a;
    --ash: #bebebe;
    --dust: #636363;
    --sky: #97afd2a6;
    --sea: #18439f;
    --iolite: #315e9b;
    --shadow: rgba(18, 28, 47, 0.65);
    --background: #ffffff;

    /* Fonts */
    --font-sans: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", sans-serif;
    --font-mono: monospace;

}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
}

html,
body {
    max-width: var(--contentWidthMax);
    min-height: 100vh;
}

body {
    background-color: white;
    font-family: "Roboto", sans-serif;
    color: #333333;
    position: relative;
}

body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: url(/image/maze.png);
    background-repeat: repeat;
    filter: blur(3px) opacity(0.5);
    z-index: -100;
}

a {
    color: #333333;
}

p {
    margin-bottom: 1rem;
}

a,
p,
email {
    font-size: 1rem;
}

footer {
    display: flex;
    margin: 3rem auto 3rem auto;
    text-align: center;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-col {
    display: flex;
    flex-direction: column;
}

ul {
    list-style-type: none;
}

h1,
h2 {
    margin-bottom: 1rem;
    color: white;
}

h3,
h4,
h5,
h6 {
    margin-bottom: 0.5rem;

}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: lighter;
    text-transform: uppercase;
    font-family: var(--font-mono);
    letter-spacing: 0.125rem;
    color: var(--coal);
}

h1 {
    font-size: 3rem;
    font-weight: 700;
    filter: drop-shadow(3px 3px 3px white);
    margin-bottom: 4rem;
}

h2 {
    font-size: 1.5rem;
    font-weight: 600;
}

h3 {
    font-size: 1.125rem;
    font-weight: 600;
    text-transform: uppercase;
}

h4 {
    font-weight: 600;
    font-size: 0.9rem;
}

h5 {
    font-weight: 400;
    font-size: 0.8rem;
}

.log-output {
    width: 100%;
}

.log .controls {
    gap: 1rem;
    height: fit-content;
    flex: 1;
}

.log .controls h2 {
    text-align: center;
}

.log .controls .years,
.log .controls .months {
    flex: 1;
}

.log .controls .custom-button {
    margin-bottom: 0.5rem;
    /* padding: 0.125rem 0.5rem; */
}

h3.hori-line,
h2.hori-line {
    display: flex;
    align-items: center;
}

h3.hori-line::after,
h2.hori-line::after {
    content: '';
    flex: 1;
    height: 1px;
    margin-left: 1rem;
    background: var(--coal);
}

h2.hori-line::after {
    height: 2px;
}

.box {
    padding: 1rem;
    margin-bottom: 2rem;
    background-color: rgba(255, 255, 255, 0.95);
    border-radius: 1rem;
    box-shadow: 0px 4px 10px #d2d2d2;
}

.indent-content {
    margin-inline: 1rem;
}

.custom-button {
    align-content: center;
    text-align: center;
}


.log .projects-included {
    flex: 1;
}

p,
span,
li,
figcaption {
    color: rgb(34, 34, 34);
}

.changes ul {
    list-style-type: none;
    padding-left: 0.5rem;
}

.changes ul li::before {
    content: "- ";
}

.changes .top-category {
    margin-bottom: 0.75rem;
}

.changes .sub-category {
    padding-left: 0.5rem;
    border-left: 1px solid var(--ash)
}

.log .project-type {
    align-items: center;
}

.projects-included ul {
    padding-left: 0.5rem;
}

.projects-included ul li:before {
    content: "▸ "
}

.commentary {
    text-align: justify;
}

.pair {
    width: 100%;
    gap: 1rem;
    border: 1px solid white;
    padding: 0.5rem;
}

.thumbnail-gallery {

    gap: 1rem;
}

.thumbnail-gallery .custom-button {
    border: 0.125rem solid white;
    height: 7.5rem;
    width: 7.5rem;
    overflow: hidden;
    border-radius: 1rem;
}

.custom-button:hover {
    cursor: pointer;
}

.thumbnail-gallery .custom-button img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.project .title {
    padding-bottom: 1rem;
}

.project .title.muted {
    color: var(--ash);
}

.project>section {
    padding-bottom: 1rem;
}

.project .figure {
    gap: 1rem;
    margin-bottom: 1rem;
}

.project .figure .displayed-image {
    width: 60%;
}

.project .figure .wrapper {
    width: 40%;
}

.project .thumbnail-gallery .custom-button.selected {
    /* border: 0.125rem solid white; */
    border-color: black;
}


.custom-button.wide {
    width: 14rem;
}

.inactive {
    filter: blur(2px) brightness(0.9);
}


.controls {
    width: 100%;
}

.header {
    position: fixed;
    width: var(--nav-offset);
    height: 100vh;
}

.header.box {
    border-radius: 0;
    margin-bottom: 0;
}

.main {
    width: 100%;
    margin-top: 5%;
    margin-right: 5%;
    margin-bottom: 10%;
    margin-left: calc(var(--nav-offset) * 1 + 5%);
}

.site-nav {
    width: 75%;
    margin: 2rem auto 2rem 1.5rem;
}

.site-nav a {
    padding: 0.5rem 0.75rem;
    flex: 1;
    font-weight: 400;
    text-align: left;
    text-decoration: none;
    color: var(--coal);
    border-radius: 1rem;
    /* font-family: roboto; */
    font-family: var(--font-mono);
}

.site-nav a.disabled {
    opacity: 0.3;
}

.site-nav a.disabled:hover {
    cursor: not-allowed;
    filter: blur(2px);
}

.site-nav a:hover {
    background: linear-gradient(180deg, #f6e27a 0%, #d4af37 35%, #c99e33 60%, #f6e27a 100%);
    color: white;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), inset 0 -2px 2px rgba(60, 60, 60, 0.25), 0 4px 3px rgba(29, 29, 29, 0.15);
    text-shadow: 0px 1px 4px #573f00;

}

.logo {
    width: 100%;
    margin: 0 auto;
    aspect-ratio: 4/3;
}

.logo>img {
    width: 75%;
    margin: auto;
    height: auto;
}

.nav-footer {
    margin: auto auto 0 auto;
}

/* Top three categories - Type, Year, Month */
.controls .categories {
    border-bottom: 1px #bebebe solid;
    padding-bottom: 0.5rem;
    margin-bottom: 0.5rem;
}

.controls .categories .custom-button {
    width: 100%;
}

.controls h2 {
    text-align: center;
}

.controls .custom-button {
    font-size: 0.8rem;
    text-transform: uppercase;
    margin-bottom: 0;
    border: 0.1rem solid var(--ash);
    border-radius: 0.5rem;
    background: white;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), inset 0 -2px 4px rgb(216 216 216 / 25%), 0 4px 10px rgb(212 212 212 / 15%);
    height: 2rem;
}

.controls .custom-button.selected.silver {
    background: white;
    color: black;
    border: 0.1rem solid #b9b9b9;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), inset 0 -2px 2px rgba(60, 60, 60, 0.25), 0 4px 3px rgba(29, 29, 29, 0.15);
    text-shadow: 0px 1px 3px #e5e5e5;
}

.controls .custom-button.selected.gold {
    background: linear-gradient(180deg, #f6e27a 0%, #d4af37 35%, #c99e33 60%, #f6e27a 100%);
    color: #ffffff;
    border: 0.1rem solid #bb8d00;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), inset 0 -2px 4px rgba(0, 0, 0, 0.25), 0 4px 10px rgba(0, 0, 0, 0.15);
    text-shadow: 0px 1px 4px #573f00;
}

.grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.cards.grid {
    width: 100%;
}

.controls .grid {
    gap: 0.125rem;
}

.controls .grid.display-none {
    display: none;
}

.random-slash {
    word-break: break-all;
    color: var(--ash);
}

h3.hori-line.random-slash::after {

    background: var(--ash);
}

.card {
    background: white;
    margin: 1rem;
    border: 1px solid var(--ash);
    box-shadow: 0px 2px 5px #dadada;
}

.card,
.card img {
    border-radius: 1rem;
}

.card img {
    width: 100%;
    height: auto;
}

.card .wrapper {
    width: 100%;
    height: 75%;
    overflow: hidden;
    border-bottom: 1px solid var(--ash);
}

.card .description {
    text-align: center;
    height: 25%;
    justify-content: center;
    background: linear-gradient(180deg, hsl(240, 5%, 95%) 0%, hsl(240, 5%, 90%) 50%, hsl(240, 5%, 100%) 90%, hsl(240, 5%, 90%) 100%);
    border-top: 1px solid #e0e0e0;
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.6);
    border-radius: 0 0 1rem 1rem;

}

.card .description p {
    margin: 0 auto;
    font-size: clamp(0.5rem, 1.5vw, 1.25rem);
    font-weight: 400;
    font-family: var(--font-mono);
    text-transform: uppercase;
    text-shadow: -1px -1px 5px white;
}

.card .description .subtitle {
    font-size: clamp(0.4rem, 1.25vw, 1rem);
    text-align: center;
    margin: 0 auto;
    text-shadow: -1px -1px 5px white;
}

.card {
    transition: transform 0.075s ease, filter 0.1s ease;
    cursor: pointer;
    text-decoration: none;
}

.card:hover {
    transform: scale(1.02);
}

.card.disabled:hover {
    transform: scale(1);
    cursor: not-allowed;
    filter: blur(4px);
}

.email {
    gap: 1rem;
}

.justify {
    text-align: justify;
}

.footer {
    margin: auto;
    align-items: end;
    height: 3rem;
    justify-content: center;
    position: fixed;
    bottom: 1rem;
    left: 0;


    width: var(--nav-offset);
}

.footer p{
    color: var(--ash);
    margin-bottom: 0;
    font-weight: 100;
    font-size: 0.8rem;
}

